[openwrt/openwrt] mac80211: pass phy name to hostapd_set_bss_options
LEDE Commits
lede-commits at lists.infradead.org
Tue Oct 27 19:12:46 EDT 2020
blocktrron pushed a commit to openwrt/openwrt.git, branch master:
https://git.openwrt.org/daeda8a87e87030d4fd92504f8bffb5ca0dcf333
commit daeda8a87e87030d4fd92504f8bffb5ca0dcf333
Author: David Bauer <mail at david-bauer.net>
AuthorDate: Mon Oct 19 19:36:56 2020 +0200
mac80211: pass phy name to hostapd_set_bss_options
hostapd_set_bss_options expects the PHY as second and the VIF as third
argument. However, only the VIF was passed as second argument without a
third argument at all.
This was never a problem, as both PHY and VIF were never accessed.
However, with FTM support the PHY is needed to determine the HW support
when configuring the BSS.
Signed-off-by: David Bauer <mail at david-bauer.net>
---
package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh b/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
index 42144375b4..11ea700b98 100644
--- a/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
+++ b/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
@@ -372,7 +372,7 @@ mac80211_hostapd_setup_bss() {
hostapd_cfg=
append hostapd_cfg "$type=$ifname" "$N"
- hostapd_set_bss_options hostapd_cfg "$vif" || return 1
+ hostapd_set_bss_options hostapd_cfg "$phy" "$vif" || return 1
json_get_vars wds wds_bridge dtim_period max_listen_int start_disabled
set_default wds 0
More information about the lede-commits
mailing list